Detalle de llamada
curl --request GET \
--url https://apis.wekall.co/api/v1/vicky/calls/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apis.wekall.co/api/v1/vicky/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apis.wekall.co/api/v1/vicky/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apis.wekall.co/api/v1/vicky/calls/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apis.wekall.co/api/v1/vicky/calls/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apis.wekall.co/api/v1/vicky/calls/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apis.wekall.co/api/v1/vicky/calls/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_id": "6a0382ce16365b2f80be4bba",
"status": "done",
"call_duration_secs": 28,
"termination_reason": "client_ended_call",
"termination_reason_label": "Cliente finalizo llamada",
"agent_name": "Agente Cobranza IA",
"caller_id": "+573009137725",
"called_number": "+573001234567",
"direction": "outbound",
"createdAt": "2026-05-12T19:43:10.502Z",
"campaign_name": "Campana Diciembre",
"call_file_url": "https://...wav"
}Vicky AI
Detalle de llamada
Retorna el detalle completo de una llamada incluyendo transcripcion y grabacion.
GET
/
api
/
v1
/
vicky
/
calls
/
{id}
Detalle de llamada
curl --request GET \
--url https://apis.wekall.co/api/v1/vicky/calls/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apis.wekall.co/api/v1/vicky/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apis.wekall.co/api/v1/vicky/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apis.wekall.co/api/v1/vicky/calls/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apis.wekall.co/api/v1/vicky/calls/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apis.wekall.co/api/v1/vicky/calls/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apis.wekall.co/api/v1/vicky/calls/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_id": "6a0382ce16365b2f80be4bba",
"status": "done",
"call_duration_secs": 28,
"termination_reason": "client_ended_call",
"termination_reason_label": "Cliente finalizo llamada",
"agent_name": "Agente Cobranza IA",
"caller_id": "+573009137725",
"called_number": "+573001234567",
"direction": "outbound",
"createdAt": "2026-05-12T19:43:10.502Z",
"campaign_name": "Campana Diciembre",
"call_file_url": "https://...wav"
}Authorizations
Token obtenido desde POST /api/v1/auth/token
Path Parameters
ID de la llamada
Example:
"6a0382ce16365b2f80be4bba"
Response
Detalle de la llamada
ID de la llamada
Example:
"6a0382ce16365b2f80be4bba"
Estado de la llamada
Available options:
done, failed, in_progress, pending Example:
"done"
Duracion en segundos
Example:
28
Razon de finalizacion
Example:
"client_ended_call"
Razon de finalizacion (legible)
Example:
"Cliente finalizo llamada"
Nombre del agente
Example:
"Agente Cobranza IA"
Numero que llamo
Example:
"+573009137725"
Numero destino
Example:
"+573001234567"
Direccion de la llamada
Available options:
inbound, outbound Example:
"outbound"
Example:
"2026-05-12T19:43:10.502Z"
Nombre de la campana (si aplica)
Example:
"Campana Diciembre"
URL de la grabacion
Example:
"https://...wav"